#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "QStringBuilder"
#include "QFileDialog"
#include "QFileSystemWatcher"
#include "QFile"

#include "settingsdialog.h"
#include "QSettings"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    void closeEvent(QCloseEvent *event)
    {
        settings.setValue("mainWindowGeometry", saveGeometry());
    }


private:
    Ui::MainWindow *ui;
    QSettings settings;

    QString getLastLines(QString file, int lines);
private slots:
    void openFileSlot();
    void fileChanged(QString file);
    void displaySettings();
};

#endif // MAINWINDOW_H
